<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="mobile-web-app-capable" content="yes">
		<meta name="apple-mobile-web-app-capable" content="yes">
		<link rel="apple-touch-icon" href="/icons8-tick-box.svg">
    <meta name="description" content="A simple Todo App using Vite + Preact + Typescript + Tailwind CSS + ReduxZero">
    <meta name="theme-color" content="#673ab8"/>
    <link rel="manifest" href="/manifest.json">
    <title>TodoApp</title>
    <link rel="icon" href="/icons8-tick-box.svg">
    <script>
      // <PolyfillCrapshit>
      window.global = window
    </script>
    <script type="module">
        // import process from "process"
        // import React from "react"
        import { Buffer } from "buffer"
        // import EventEmitter from "events"
        
        // window.process = process
        // window.React = React
        window.Buffer = Buffer // needed for one of these: @isomorphic-git/lightning-fs, isomorphic-git, json-stable-stringify
        // window.EventEmitter = EventEmitter
        // </PolyfillCrapshit>
    </script>
    
    
  </head>
  <body>
    <div id="app"></div>
    <!-- <p id="requireHTTPS" class="hidden">
      <b>STOP!</b> This page <b>must</b> be served over HTTPS.
      Please <a href="/">reload this page via HTTPS</a>.
    </p>
    < -- Install button, hidden by default -- >
    <div id="installContainer" class="hidden">
      <button id="butInstall" type="button">
        Install
      </button>
    </div> -->
    <script type="module">
      // also tried adding to head:
      // <script src="https://unpkg.com/dexie@3.2.1/dist/dexie.js"><script>


      // const Dexie = (await import('https://unpkg.com/dexie@3.2.1/dist/modern/dexie.mjs')).Dexie //

      import { Dexie } from 'dexie' // this works when referencing globalThis.Dexie downstream
      globalThis.Dexie = Dexie
      console.log("top Dexie",Dexie,globalThis)
      
    </script>
    <script type="module" src="/src/main.tsx"></script>
  </body>
</html>
